Apache JMeter

## org.apache.jmeter.testelement
Interface ThreadListener

All Known Implementing Classes:
  AccessLogSampler, BeanShellTestElement, HTTPSamplerBase, JMSSampler, SessionFilter, TCPSampler

public interface ThreadListener

Allow threads to perform startup and closedown if necessary

Method Summary
`void` `threadFinished()` Called once for each thread at the end of a test
`void` `threadStarted()` Called just before the start of the thread

Method Detail

### threadStarted

    public void threadStarted()

  Called just before the start of the thread

  See Also:
    `org.apache.jmeter.threads.JMeterThread#threadStarted()`

### threadFinished

    public void threadFinished()

  Called once for each thread at the end of a test

  See Also:
    `org.apache.jmeter.threads.JMeterThread#threadFinished()`

Apache JMeter

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.